Bug 60483 - binutils: ld "shared -Bsymbolic" fails
Summary: binutils: ld "shared -Bsymbolic" fails
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: binutils   
(Show other bugs)
Version: 7.3
Hardware: alpha Linux
medium
medium
Target Milestone: ---
Assignee: Beth Uptagrafft
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-28 13:40 UTC by Christopher Holmes
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-28 18:23:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christopher Holmes 2002-02-28 13:40:54 UTC
Description of Problem:

	binutils: ld "shared -Bsymbolic" fails

Version-Release number of selected component (if applicable):

	binutils-2.11.90.0.8-12.src.rpm

How Reproducible:

	always

Steps to Reproduce:

1. rpm -i binutils-2.11.90.0.8-12.src.rpm
2. cd /usr/src/redhat/SPECS
3. rpm -ba binutils.spec
4. cd /usr/src/redhat/BUILD/binutils-2.11.90.0.8
5. make -k check
6. review ./ld/ld.log

Actual Results:

gcc -L/usr/src/redhat/BUILD/binutils-2.11.90.0.8/ld -O2 -mieee -DXCOFF_TEST 
-B/usr/src/redhat/BUILD/binutils-2.11.90.0.8/ld/tmpdir/gas/
-I/usr/src/redhat/BUILD/binutils-2.11.90.0.8/ld/testsuite/ld-shared -O2 -mieee 
-c /usr/src/redhat/BUILD/binutils-2.11.90.0.8/ld/testsuite/ld-shared/main.c -o
tmpdir/mainnp.o
gcc -L/usr/src/redhat/BUILD/binutils-2.11.90.0.8/ld -O2 -mieee -DXCOFF_TEST 
-fpic -B/usr/src/redhat/BUILD/binutils-2.11.90.0.8/ld/tmpdir/gas/
-I/usr/src/redhat/BUILD/binutils-2.11.90.0.8/ld/testsuite/ld-shared -O2 -mieee 
-c /usr/src/redhat/BUILD/binutils-2.11.90.0.8/ld/testsuite/ld-shared/sh1.c -o
tmpdir/sh1p.o
/usr/src/redhat/BUILD/binutils-2.11.90.0.8/ld/ld-new  -o tmpdir/shp.so -shared
-Bsymbolic tmpdir/sh1p.o tmpdir/sh2p.o
/usr/src/redhat/BUILD/binutils-2.11.90.0.8/ld/ld-new -m elf64alpha  -o
tmpdir/shp -dynamic-linker /lib/ld-linux.so.2
/usr/lib/gcc-lib/alpha-redhat-linux/2.96/../../../crt1.o
/usr/lib/gcc-lib/alpha-redhat-linux/2.96/../../../crti.o
/usr/lib/gcc-lib/alpha-redhat-linux/2.96/crtbegin.o -rpath tmpdir
tmpdir/mainnp.o tmpdir/shp.so -ldl 
/usr/lib/gcc-lib/alpha-redhat-linux/2.96/libgcc.a
-L/usr/lib/gcc-lib/alpha-redhat-linux/2.96/../../.. -lc
/usr/lib/gcc-lib/alpha-redhat-linux/2.96/libgcc.a
/usr/lib/gcc-lib/alpha-redhat-linux/2.96/crtend.o
/usr/lib/gcc-lib/alpha-redhat-linux/2.96/../../../crtn.o
tmpdir/shp >tmpdir/shp.out
diff tmpdir/shp.out
/usr/src/redhat/BUILD/binutils-2.11.90.0.8/ld/testsuite/ld-shared/symbolic.dat
8,9c8,9
< shlib_checkfunptr1 (shlib_shlibvar1) == 1
< shlib_getfunptr1 () == shlib_shlibvar1
---
> shlib_checkfunptr1 (shlib_shlibvar1) == 0
> shlib_getfunptr1 () != shlib_shlibvar1
child process exited abnormally
FAIL: shared -Bsymbolic

Expected Results:

PASS: shared -Bsymbolic

Additional Information:

	expected results achieved on intel RedHat7.2

Comment 1 Alexandre Petit-Bianco 2002-04-01 19:11:00 UTC
I'm not seeing the same command being issued on my system as far as the
"shared -Bsymbolic" case. If I issue the commands filed in this report,
I get other errors...

Why different commands are being used, I can't really tell.




Note You need to log in before you can comment on or make changes to this bug.